libetonyek::IWORKLineEndElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKLineEndElement Class Reference

`#include <IWORKLineEndElement.h>`

Inheritance diagram for libetonyek::IWORKLineEndElement:

## Public Member Functions
| IWORKLineEndElement (IWORKXMLParserState &state, boost::optional< IWORKMarker > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
IWORKXMLContextPtr_t | element (int name) override

## Private Attributes
boost::optional< IWORKMarker > & | m_value
boost::optional< ID_t > | m_id

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKLineEndElement()

libetonyek::IWORKLineEndElement::IWORKLineEndElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKMarker > & | value
| ) |  |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKLineEndElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprivate

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKLineEndElement::element | ( | int | name | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_id

boost::optional<ID_t> libetonyek::IWORKLineEndElement::m_id
| private

Referenced by attribute().

## ◆ m_value

boost::optional<IWORKMarker>& libetonyek::IWORKLineEndElement::m_value
| private

Referenced by attribute(), element(), and IWORKLineEndElement().

The documentation for this class was generated from the following files:

- IWORKLineEndElement.h
- IWORKLineEndElement.cpp